Bug 623683 - [dup profiles] Wrong value of "Configuration Channels" in DuplicateSystemsCompare.do
[dup profiles] Wrong value of "Configuration Channels" in DuplicateSystemsCom...
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
1.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Partha Aji
Tomas Lestach
: TestBlocker
Depends On:
Blocks: sat540-blockers sat540-dup-profiles space12
  Show dependency treegraph
 
Reported: 2010-08-12 10:15 EDT by Garik Khachikyan
Modified: 2015-01-04 16:57 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-28 10:53:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
see the row "Child Software Channelse" vs "Configuration Channels" (169.62 KB, image/png)
2010-08-12 10:15 EDT, Garik Khachikyan
no flags Details

  None (edit)
Description Garik Khachikyan 2010-08-12 10:15:02 EDT
Created attachment 438450 [details]
see the row "Child Software Channelse" vs "Configuration Channels"

Description of problem:
The duplicate systems' comparison page contains wrong value of configuration channels for the systems being compared (it just copies the values from "Child Software Channelse") and a click on them refers to ISE

Version-Release number of selected component (if applicable):
spacewalk-java-1.1.41-1.el5
spacewalk-html-1.1.6-1.el5
spacewalk-oracle-1.1.6-1.el5
spacewalk-schema-1.1.19-1.el5


How reproducible:
always

Steps to Reproduce:
1. register 2 duplications of the same system (and alter with software channel entitlement(s))
2. refer to "Duplicate Systems" and do "Compare Systems" for them.
3. pay attention at "Configuration Channels" row.
  
Actual results:
Duplicating the values from "Child Software Channelse"

Expected results:
Should be reflecting the information about config channels assigned (if any) and not the software channels.

Additional info:
See the screenshot attached
Comment 1 Clifford Perry 2010-08-18 11:59:48 EDT
So:
1) We need to either populate the "Configuration Channels" with correct data, or not display it (rather than today displaying incorrect data for software channels. 

2)We also need to fix typo:

"Child Software Channelse"

which should be "Child Software Channels"


Cliff
Comment 2 Partha Aji 2010-08-18 18:46:35 EDT
Typo caused the bug :). Should be fixed as of http://git.fedorahosted.org/git/?p=spacewalk.git;a=commit;h=2eb33a096adc50d1b8d906fad36374f7f2824237 . Look for the next spacewalk-java rpm to test..
Comment 3 Tomas Lestach 2010-10-05 12:46:16 EDT
I followed the steps from #Description and:

1. Typo is fixed, page displays: "Child Software Channels"
2. Both "Child Software Channels" and "Configuration Channels" rows display correct content.

-> VERIFIED
Comment 4 Tomas Lestach 2010-10-05 12:47:40 EDT
Just adding tested versions: spacewalk-java-1.2.39-26.el5sat on Satellite-5.4.0-RHEL5-re20101001.1
Comment 5 Dimitar Yordanov 2010-10-25 12:03:08 EDT
Verified on Stage.

Base Software Channel  	 Red Hat Enterprise Linux (v. 5 for 64-bit x86_64)   	         Red Hat Enterprise Linux (v. 5 for 64-bit x86_64)


Child Software Channels  None   * Red Hat Network Tools for RHEL Server (v.5 64-bit x86_64)

Configuration Channels 	None 	* Config Channel

Monitoring Probes 	None 	None
Comment 6 Clifford Perry 2010-10-28 10:48:30 EDT
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford

Note You need to log in before you can comment on or make changes to this bug.